%% Import data from text file
% Script for importing data from the following text file:
%
%    filename: U:\LASO\AnisotropicScattering\Publications\First paper\Supplemental material\CoreShell_SIDE_sizesweep_complex.txt
%
% Auto-generated by MATLAB on 16-Aug-2023 13:25:57

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 4);

% Specify range and delimiter
opts.DataLines = [9, Inf];
opts.Delimiter = " ";

% Specify column names and types
opts.VariableNames = ["VarName1", "Model", "Var3", "Var4"];
opts.SelectedVariableNames = ["VarName1", "Model"];
opts.VariableTypes = ["double", "double", "string", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";
opts.ConsecutiveDelimitersRule = "join";
opts.LeadingDelimitersRule = "ignore";

% Specify variable properties
opts = setvaropts(opts, ["Var3", "Var4"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var3", "Var4"], "EmptyFieldRule", "auto");

% Import the data
CoreShellSIDEsizesweep = readtable("U:\LASO\AnisotropicScattering\Publications\First paper\CoreSemiShellSizeSweep\CoreSemiShell_sizesweep2_scatteringpatterns.txt", opts);

%% Convert to output type
CoreShellSIDEsizesweep = table2array(CoreShellSIDEsizesweep);

%% Clear temporary variables
clear opts

cols = length(CoreShellSIDEsizesweep)/1001*2;

data = reshape(CoreShellSIDEsizesweep,1001,cols);
[~,posangles]= max(data(:,cols/2+1:end),[],1);
maxangles = data(posangles,1)*180/pi;
coresize = 50:10:500;

figure
maxangles(maxangles>180)=maxangles(maxangles>180)-360;
plot(coresize(1),maxangles(1),'*')
hold on
plot(coresize(2:end),maxangles(2:end),'*-','Color',[0 166 214]/255)
xlabel('Core radius [nm]')
ylabel('Angle of maximum scattering [deg]')
set(gcf,'Position',[100 100 800 450])

data(:,end/2+1) = data(:,end/2+1)/max(data(:,end/2+1));
data(:,end/2+8) = data(:,end/2+8)/max(data(:,end/2+8));
data(:,end/2+11) = data(:,end/2+11)/max(data(:,end/2+11));
data(:,end/2+21) = data(:,end/2+21)/max(data(:,end/2+21));
data(:,end) = data(:,end)/max(data(:,end));

figure
polarplot(data(:,1),data(:,end/2+1))
hold on
polarplot(data(:,1),data(:,end/2+8))
polarplot(data(:,1),data(:,end/2+11))
polarplot(data(:,1),data(:,end/2+21))
polarplot(data(:,1),data(:,end))
title('Normalized intensity')
legend('50 nm','80 nm','150 nm','250 nm','500 nm')
rticklabels({})
thetaticks(0:30:330)
axis([0 360 0 1.1])
