%% Import data from text file
% Script for importing data from the following text file:
%
%    filename: U:\LASO\AnisotropicScattering\Publications\First paper\Supplemental material\CoreShell_SIDE_sizesweep_complex.txt
%
% Auto-generated by MATLAB on 16-Aug-2023 13:25:57

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 4);

% Specify range and delimiter
opts.DataLines = [9, Inf];
opts.Delimiter = " ";

% Specify column names and types
opts.VariableNames = ["VarName1", "Model", "Var3", "Var4"];
opts.SelectedVariableNames = ["VarName1", "Model"];
opts.VariableTypes = ["double", "double", "string", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";
opts.ConsecutiveDelimitersRule = "join";
opts.LeadingDelimitersRule = "ignore";

% Specify variable properties
opts = setvaropts(opts, ["Var3", "Var4"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var3", "Var4"], "EmptyFieldRule", "auto");

% Import the data
CoreShellSIDEsizesweepcomplex = readtable("U:\LASO\AnisotropicScattering\Publications\First paper\Supplemental material\CoreShell_SIDE_sizesweep_complex.txt", opts);

%% Convert to output type
CoreShellSIDEsizesweepcomplex = table2array(CoreShellSIDEsizesweepcomplex);

%% Clear temporary variables
clear opts

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 4);

% Specify range and delimiter
opts.DataLines = [9, Inf];
opts.Delimiter = " ";

% Specify column names and types
opts.VariableNames = ["VarName1", "Model", "Var3", "Var4"];
opts.SelectedVariableNames = ["VarName1", "Model"];
opts.VariableTypes = ["double", "double", "string", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";
opts.ConsecutiveDelimitersRule = "join";
opts.LeadingDelimitersRule = "ignore";

% Specify variable properties
opts = setvaropts(opts, ["Var3", "Var4"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var3", "Var4"], "EmptyFieldRule", "auto");

% Import the data
CoreShellSIDEsizesweepcomplex2 = readtable("U:\LASO\AnisotropicScattering\Publications\First paper\Supplemental material\CoreShell_SIDE_sizesweep_complex2.txt", opts);

%% Convert to output type
CoreShellSIDEsizesweepcomplex2 = table2array(CoreShellSIDEsizesweepcomplex2);

%% Clear temporary variables
clear opts

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 4);

% Specify range and delimiter
opts.DataLines = [9, Inf];
opts.Delimiter = " ";

% Specify column names and types
opts.VariableNames = ["VarName1", "Model", "Var3", "Var4"];
opts.SelectedVariableNames = ["VarName1", "Model"];
opts.VariableTypes = ["double", "double", "string", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";
opts.ConsecutiveDelimitersRule = "join";
opts.LeadingDelimitersRule = "ignore";

% Specify variable properties
opts = setvaropts(opts, ["Var3", "Var4"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var3", "Var4"], "EmptyFieldRule", "auto");

% Import the data
CoreShellSIDEsizesweeprealistic2 = readtable("U:\LASO\AnisotropicScattering\Publications\First paper\Supplemental material\CoreShell_SIDE_sizesweep_realistic2.txt", opts);

%% Convert to output type
CoreShellSIDEsizesweeprealistic2 = table2array(CoreShellSIDEsizesweeprealistic2);

%% Clear temporary variables
clear opts

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 4);

% Specify range and delimiter
opts.DataLines = [9, Inf];
opts.Delimiter = " ";

% Specify column names and types
opts.VariableNames = ["VarName1", "Model", "Var3", "Var4"];
opts.SelectedVariableNames = ["VarName1", "Model"];
opts.VariableTypes = ["double", "double", "string", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";
opts.ConsecutiveDelimitersRule = "join";
opts.LeadingDelimitersRule = "ignore";

% Specify variable properties
opts = setvaropts(opts, ["Var3", "Var4"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var3", "Var4"], "EmptyFieldRule", "auto");

% Import the data
CoreShellSIDEsizesweeprealistic = readtable("U:\LASO\AnisotropicScattering\Publications\First paper\Supplemental material\CoreShell_SIDE_sizesweep_realistic.txt", opts);

%% Convert to output type
CoreShellSIDEsizesweeprealistic = table2array(CoreShellSIDEsizesweeprealistic);

%% Clear temporary variables
clear opts

%% First file
cols = length(CoreShellSIDEsizesweepcomplex)/1001*2;

data = reshape(CoreShellSIDEsizesweepcomplex,1001,cols);
[~,posangles]= max(data(:,cols/2+1:end),[],1);
maxangles = data(posangles,1)*180/pi;
coresize = 50:10:500;

figure
plot(coresize,maxangles,'*-')
xlabel('Core radius [nm]')
ylabel('Angle of maximum scattering [deg]')
set(gcf,'Position',[100 100 800 450])

data(:,end/2+1) = data(:,end/2+1)/max(data(:,end/2+1));
data(:,end/2+4) = data(:,end/2+4)/max(data(:,end/2+4));
data(:,end/2+11) = data(:,end/2+11)/max(data(:,end/2+11));
data(:,end/2+21) = data(:,end/2+21)/max(data(:,end/2+21));
data(:,end) = data(:,end)/max(data(:,end));

figure
polarplot(data(:,1),data(:,end/2+1))
hold on
polarplot(data(:,1),data(:,end/2+4))
polarplot(data(:,1),data(:,end/2+11))
polarplot(data(:,1),data(:,end/2+21))
polarplot(data(:,1),data(:,end))
title('Normalized intensity')
legend('50 nm','80 nm','150 nm','250 nm','500 nm')
rticklabels({})
thetaticks(0:30:330)
axis([0 360 0 1.1])

%% Second file
cols = length(CoreShellSIDEsizesweepcomplex2)/1001*2;

data = reshape(CoreShellSIDEsizesweepcomplex2,1001,cols);
[~,posangles]= max(data(:,cols/2+1:end),[],1);
maxangles = data(posangles,1)*180/pi;
coresize = 50:10:500;

figure
plot(coresize,maxangles,'*-')
xlabel('Core radius [nm]')
ylabel('Angle of maximum scattering [deg]')
set(gcf,'Position',[100 100 800 450])

data(:,end/2+1) = data(:,end/2+1)/max(data(:,end/2+1));
data(:,end/2+4) = data(:,end/2+4)/max(data(:,end/2+4));
data(:,end/2+11) = data(:,end/2+11)/max(data(:,end/2+11));
data(:,end/2+21) = data(:,end/2+21)/max(data(:,end/2+21));
data(:,end) = data(:,end)/max(data(:,end));

figure
polarplot(data(:,1),data(:,end/2+1))
hold on
polarplot(data(:,1),data(:,end/2+4))
polarplot(data(:,1),data(:,end/2+11))
polarplot(data(:,1),data(:,end/2+21))
polarplot(data(:,1),data(:,end))
title('Normalized intensity')
legend('50 nm','80 nm','150 nm','250 nm','500 nm')
rticklabels({})
thetaticks(0:30:330)
axis([0 360 0 1.1])

%% Third file
cols = length(CoreShellSIDEsizesweeprealistic)/1001*2;

data = reshape(CoreShellSIDEsizesweeprealistic,1001,cols);
[~,posangles]= max(data(:,cols/2+1:end),[],1);
maxangles = data(posangles,1)*180/pi;
coresize = 50:10:500;

figure
plot(coresize,maxangles,'*-')
xlabel('Core radius [nm]')
ylabel('Angle of maximum scattering [deg]')
set(gcf,'Position',[100 100 800 450])

data(:,end/2+1) = data(:,end/2+1)/max(data(:,end/2+1));
data(:,end/2+4) = data(:,end/2+4)/max(data(:,end/2+4));
data(:,end/2+11) = data(:,end/2+11)/max(data(:,end/2+11));
data(:,end/2+21) = data(:,end/2+21)/max(data(:,end/2+21));
data(:,end) = data(:,end)/max(data(:,end));

figure
polarplot(data(:,1),data(:,end/2+1))
hold on
polarplot(data(:,1),data(:,end/2+4))
polarplot(data(:,1),data(:,end/2+11))
polarplot(data(:,1),data(:,end/2+21))
polarplot(data(:,1),data(:,end))
title('Normalized intensity')
legend('50 nm','80 nm','150 nm','250 nm','500 nm')
rticklabels({})
thetaticks(0:30:330)
axis([0 360 0 1.1])

%% Fourth file
cols = length(CoreShellSIDEsizesweeprealistic2)/1001*2;

data = reshape(CoreShellSIDEsizesweeprealistic2,1001,cols);
[~,posangles]= max(data(:,cols/2+1:end),[],1);
maxangles = data(posangles,1)*180/pi;
coresize = 50:10:500;

figure
plot(coresize,maxangles,'*-')
xlabel('Core radius [nm]')
ylabel('Angle of maximum scattering [deg]')
set(gcf,'Position',[100 100 800 450])

data(:,end/2+1) = data(:,end/2+1)/max(data(:,end/2+1));
data(:,end/2+4) = data(:,end/2+4)/max(data(:,end/2+4));
data(:,end/2+11) = data(:,end/2+11)/max(data(:,end/2+11));
data(:,end/2+21) = data(:,end/2+21)/max(data(:,end/2+21));
data(:,end) = data(:,end)/max(data(:,end));

figure
polarplot(data(:,1),data(:,end/2+1))
hold on
polarplot(data(:,1),data(:,end/2+4))
polarplot(data(:,1),data(:,end/2+11))
polarplot(data(:,1),data(:,end/2+21))
polarplot(data(:,1),data(:,end))
title('Normalized intensity')
legend('50 nm','80 nm','150 nm','250 nm','500 nm')
rticklabels({})
thetaticks(0:30:330)
axis([0 360 0 1.1])